WABT(1)

NAME
wasm-decompile - translate from the binary format to readable C-like syntax

SYNOPSIS
wasm-decompile [options] file

DESCRIPTION
wasm-decompile Read a file in the WebAssembly binary format, and convert it to a decompiled text file.

The options are as follows:

- -help
    Print a help message

- -version
    Print version information

-o, - -output=FILENAME
    Output file for the decompiled file, by default use stdout

- -enable-exceptions
    Enable Experimental exception handling

- -disable-mutable-globals
    Disable Import/export mutable globals

- -disable-saturating-float-to-int
    Disable Saturating float-to-int operators

- -disable-sign-extension
    Disable Sign-extension operators

- -disable-simd
    Disable SIMD support

- -enable-threads
    Enable Threading support

- -enable-function-references
    Enable Typed function references

- -disable-multi-value
    Disable Multi-value

- -enable-tail-call
    Enable Tail-call support

- -disable-bulk-memory
    Disable Bulk-memory operations

- -disable-reference-types
    Disable Reference types (externref)

- -enable-annotations
    Enable Custom annotation syntax

- -enable-code-metadata
    Enable Code metadata

- -enable-gc
    Enable Garbage collection

- -enable-memory64
    Enable 64-bit memory

- -enable-multi-memory
    Enable Multi-memory

- -enable-extended-const
    Enable Extended constant expressions

- -enable-all
    Enable all features

- -ignore-custom-section-errors
    Ignore errors in custom sections

EXAMPLES
Parse binary file test.wasm and write text file test.dcmp

    $ wasm-decompile test.wasm -o test.dcmp

SEE ALSO
wasm-interp(1), wasm-objdump(1), wasm-stats(1), wasm-strip(1), wasm-validate(1), wasm2c(1), wasm2wat(1), wast2json(1), wat-desugar(1), wat2wasm(1), spectest-interp(1)

BUGS
If you find a bug, please report it at
https://github.com/WebAssembly/wabt/issues.